Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld.db
Class BerkeleyDatabase

    java.lang.Object
      |
      +--com.mwc.sqld.db.SimpleDatabase
            |
            +--com.mwc.sqld.db.BerkeleyDatabase

All Implemented Interfaces:
  Database

public class BerkeleyDatabase
extends SimpleDatabase

Field Summary
`static int` | `MAX_TEMP_TABLES`

Constructor Summary
`BerkeleyDatabase(java.lang.String name, java.lang.String dir)`

Method Summary
`void` | `close()`
`Table` | `createTable(java.lang.String name, java.lang.String[][] cols)`
`boolean` | `dropTable(java.lang.String table)`
`Table` | `getTable(java.lang.String table)`
`java.io.File` | `getTempFile()`
`boolean` | `modified()`
`java.lang.String` | `name()`
`boolean` | `save()`
`void` | `sync()`
`java.lang.String[]` | `tableNames()`

Methods inherited from class com.mwc.sqld.db.SimpleDatabase
`delete, getNewSorter, insert, select, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_TEMP_TABLES

    public static final int MAX_TEMP_TABLES

Constructor Detail

### BerkeleyDatabase

    public BerkeleyDatabase(java.lang.String name,
                            java.lang.String dir)
                     throws java.io.IOException,
                            com.mwc.sqld.db.DbException

Method Detail

### close

    public void close()

### createTable

    public Table createTable(java.lang.String name,
                             java.lang.String[][] cols)

### name

    public java.lang.String name()

### getTempFile

    public java.io.File getTempFile()

### getTable

    public Table getTable(java.lang.String table)

### tableNames

    public java.lang.String[] tableNames()

### dropTable

    public boolean dropTable(java.lang.String table)

### save

    public boolean save()

### modified

    public boolean modified()

### sync

    public void sync()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD